;; Evil quit
(evil-define-command evil-quit
  (&optional force)
  :repeat nil
  :repeat nil
  (if (eq (window-main-window) (selected-window))
      (if (equal (buffer-name) "*dashboard*") nil (kill-buffer))
      (evil-window-delete)))

;; Treemacs directory expansion
(with-eval-after-load 'treemacs
  (define-key treemacs-mode-map [mouse-1] #'treemacs-single-click-expand-action))

;; Save backup files to a single dir
(setq backup-directory-alist
	`((".*" . ,temporary-file-directory)))
(setq auto-save-file-name-transforms
	`((".*" ,temporary-file-directory t)))

;; Don't remove current window when opening new ones
(setq display-buffer-base-action '(display-buffer-below-selected))
(setq display-buffer-overriding-action '(display-buffer-below-selected))
(setq display-buffer-fallback-action '(display-buffer-below-selected))
